# Library and compile options
SQLITE3_LDFLAGS=-L/usr/local/lib -lsqlite3
SQLITE3_CFLAGS=-I/usr/local/include

# Install prefix
PREFIX=/usr/local

# Default option values, empty means NULL (for strings)
# Config file path
DEFAULT_CONFIG_PATH=/usr/local/etc/rpi4b-temp-humidity/config.conf

# GPIO device
DEFAULT_GPIO_DEVICE=/dev/gpioc0

# sysctl(8) keys for the temperature sensor
DEFAULT_TEMP_KEY=dev.gpioths.0.temperature
DEFAULT_HUMID_KEY=dev.gpioths.0.humidity
# Set this to empty to disable checking failures
DEFAULT_FAIL_KEY=dev.gpioths.0.fails

# Max failures of the temperature sensor before exit
DEFAULT_FAIL_LIMIT=5

# Database location
DEFAULT_DATABASE_LOCATION=/var/db/rpi4b-temp-humidity/db.sqlite

# Time between data points, note that this is probably limited by the kernel's
# gpioths driver (5 seconds)
DEFAULT_REFRESH_TIME=5000

# F for Fahrenheit, C for Celsius
DEFAULT_TEMP_UNIT=F

# The base name for export, .sqlite3 will be appended for SQLite exports and
# .csv will be appended for CSV exports
DEFAULT_EXPORT_FILE_NAME=env_data

# The timezone used. This is overridden by the environment variable TZ. See the
# tzset(3) manual page for more information about the format of this. Leave
# blank for system default
DEFAULT_TIMEZONE=
