/*
 * setdatescreen.h - Screen for setting the date and time
 * Copyright (C) 2024  Alexander Rosenberg
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version. See the LICENSE file for more information.
 */
#ifndef INCLUDED_SETDATESCREEN_H
#define INCLUDED_SETDATESCREEN_H

#include "screen.h"
#include "timesel.h"

typedef struct {
    Screen parent;
    enum {
        SET_DATE_SELECT_DATE,
        SET_DATE_SELECT_TIME,
        SET_DATE_FAIL,
        SET_DATE_SUCCESS
    } stage;
    bool need_redraw;
    DateSelection ds;
    TimeSelection ts;
} SetDateScreen;

/*
 * Create a new SetDateScreen. This screen will allow the user to configure the
 * date and time.
 */
SetDateScreen *set_date_screen_new(void);

#endif
